Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase

    java.lang.Object
      org.picocontainer.defaults.NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase

    public final class NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase

extends Object

Nested Class Summary
`static class` | `NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase.Dino`
`static class` | `NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase.Dino2`
`static class` | `NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase.Dino3`
`static class` | `NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase.Dino4`

Constructor Summary
`NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase()`

Method Summary
`void` | `testComponentRegistrationMismatch()`
`void` | `testDuplicateRegistrationWithTypeAndObject()`
`void` | `testGetComponentSpecification()`
`void` | `testMultipleImplementationsAccessedThroughKey()`
`void` | `testMultipleParametersCanBePassed()`
`void` | `testParameterCanBePassedToConstructor()`
`void` | `testParameterCanBePrimitive()`
`void` | `testParametersCanBeMixedWithComponentsCanBePassed()`
`void` | `testRegistrationByName()`
`void` | `testRegistrationByNameAndClassWithResolving()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase

    public NoneOfTheseTestsAffectCoverageMeaningTheyCouldGoTestCase()

Method Detail

### testGetComponentSpecification

    public void testGetComponentSpecification()
                                       throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testMultipleImplementationsAccessedThroughKey

    public void testMultipleImplementationsAccessedThroughKey()
                                                       throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testRegistrationByName

    public void testRegistrationByName()
                                throws Exception

  Throws:
    `Exception`

### testRegistrationByNameAndClassWithResolving

    public void testRegistrationByNameAndClassWithResolving()
                                                     throws Exception

  Throws:
    `Exception`

### testDuplicateRegistrationWithTypeAndObject

    public void testDuplicateRegistrationWithTypeAndObject()
                                                    throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testComponentRegistrationMismatch

    public void testComponentRegistrationMismatch()
                                           throws org.picocontainer.PicoCompositionException

  Throws:
    `org.picocontainer.PicoCompositionException`

### testParameterCanBePassedToConstructor

    public void testParameterCanBePassedToConstructor()
                                               throws Exception

  Throws:
    `Exception`

### testParameterCanBePrimitive

    public void testParameterCanBePrimitive()
                                     throws Exception

  Throws:
    `Exception`

### testMultipleParametersCanBePassed

    public void testMultipleParametersCanBePassed()
                                           throws Exception

  Throws:
    `Exception`

### testParametersCanBeMixedWithComponentsCanBePassed

    public void testParametersCanBeMixedWithComponentsCanBePassed()
                                                           throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.